 package com.huimv.acquisition.controller;

 import com.huimv.acquisition.entity.MovePigpenEntity;
 import com.huimv.acquisition.result.R;
 import com.huimv.acquisition.service.MovePigpenService;
 import com.huimv.acquisition.utils.PageUtils;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;

 import java.util.Arrays;
 import java.util.Map;


 /**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 09:57:42
 */
@RestController
@RequestMapping("management/movepigpen")
@CrossOrigin
public class MovePigpenController {
    @Autowired
    private MovePigpenService movePigpenService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = movePigpenService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		MovePigpenEntity movePigpen = movePigpenService.getById(id);

        return R.ok().put("movePigpen", movePigpen);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody MovePigpenEntity movePigpen){
		movePigpenService.save(movePigpen);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody MovePigpenEntity movePigpen){
		movePigpenService.updateById(movePigpen);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		movePigpenService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
